KDE 4.7 PyKDE API Reference

- KDE's Python API

# ObjectDescriptionModelData Class Reference

`from PyKDE4.phonon import *`

Namespace: Phonon

## Detailed Description

Internal:

\class ObjectDescriptionModelData objectdescriptionmodel.h phonon/ObjectDescriptionModelData Data class for models for ObjectDescription objects.

Author:
  Matthias Kretz <kretz@kde.org>

## Methods
| __init__ (self, QAbstractListModel a0)
QVariant | data (self, QModelIndex index, int role=Qt.DisplayRole)
bool | dropMimeData (self, Phonon.ObjectDescriptionType type, QMimeData data, Qt::DropAction action, int row, int column, QModelIndex parent)
Qt::ItemFlags | flags (self, QModelIndex index)
QMimeData | mimeData (self, Phonon.ObjectDescriptionType type, [QModelIndex] indexes)
QStringList | mimeTypes (self, Phonon.ObjectDescriptionType type)
| moveDown (self, QModelIndex index)
| moveUp (self, QModelIndex index)
bool | removeRows (self, int row, int count, QModelIndex parent=QModelIndex())
int | rowCount (self, QModelIndex parent=QModelIndex())
Qt::DropActions | supportedDropActions (self)
int | tupleIndexAtPositionIndex (self, int positionIndex)
[int] | tupleIndexOrder (self)

## Method Documentation

__init__ | ( | self, |
|  | QAbstractListModel | a0
| ) |  |  |

QVariant data | ( | self, |
|  | QModelIndex | index,
|  | int | role=Qt.DisplayRole
| ) |  |  |

Returns data from the item with the given index for the specified role. If the view requests an invalid index, an invalid variant is returned.

Reimplemented from QAbstractItemModel.

See also:
  QAbstractItemModel.data

See also:
  Qt.ItemDataRole

bool dropMimeData | ( | self, |
|  | Phonon.ObjectDescriptionType | type,
|  | QMimeData | data,
|  | Qt::DropAction | action,
|  | int | row,
|  | int | column,
|  | QModelIndex | parent
| ) |  |  |

Qt::ItemFlags flags | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Reimplemented to show unavailable devices as disabled (but still selectable).

QMimeData mimeData | ( | self, |
|  | Phonon.ObjectDescriptionType | type,
|  | [QModelIndex] | indexes
| ) |  |  |

Returns the MIME data that dropMimeData() can use to create new items.

QStringList mimeTypes | ( | self, |
|  | Phonon.ObjectDescriptionType | type
| ) |  |  |

moveDown | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Moves the item at the given index down. In the resulting list the items at index.row() and index.row() + 1 are swapped.

Connected views are updated automatically.

moveUp | ( | self, |
|  | QModelIndex | index
| ) |  |  |

Moves the item at the given index up. In the resulting list the items at index.row() and index.row() - 1 are swapped.

Connected views are updated automatically.

bool removeRows | ( | self, |
|  | int | row,
|  | int | count,
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

int rowCount | ( | self, |
|  | QModelIndex | parent=QModelIndex()
| ) |  |  |

Returns the number of rows in the model. This value corresponds to the size of the list passed through setModelData.

Parameters:

  | parent | The optional parent argument is used in most models to specify the parent of the rows to be counted. Because this is a list if a valid parent is specified the result will always be 0.

Reimplemented from QAbstractItemModel.

See also:
  QAbstractItemModel.rowCount

Qt::DropActions supportedDropActions | ( |  | self ) |

int tupleIndexAtPositionIndex | ( | self, |
|  | int | positionIndex
| ) |  |  |

Returns the ObjectDescription.index for the tuple at the given position positionIndex. For example a QComboBox will give you the currentIndex as the position in the list. But to select the according AudioOutputDevice using AudioOutputDevice.fromIndex you can use this method.

Parameters:

  | positionIndex | The position in the list.

[int] tupleIndexOrder | ( |  | self ) |

Returns a list of indexes in the same order as they are in the model. The indexes come from the ObjectDescription.index method.

This is useful to let the user define a list of preference.